MS10-061: Vulnerability in Print Spooler Service Could Allow Remote Code Execution (2347290) (EMERALDTHREAD)

High Nessus Plugin ID 49219


Arbitrary code can be executed on the remote host due to a flaw in the Spooler service.


The version of the Print Spooler service on the remote Windows host is affected by a service impersonation vulnerability that allows an unauthenticated, remote attacker to execute arbitrary code on a Windows XP system to escalate privileges on all other supported Windows systems.

EMERALDTHREAD is one of multiple Equation Group vulnerabilities and exploits disclosed on 2017/04/14 by a group known as the Shadow Brokers.


Microsoft has released a set of patches for Windows XP, 2003, Vista, 2008, 7, and 2008 R2.

See Also

Plugin Details

Severity: High

ID: 49219

File Name: smb_nt_ms10-061.nasl

Version: $Revision: 1.26 $

Type: local

Agent: windows

Published: 2010/09/14

Modified: 2017/08/15

Dependencies: 57033, 13855

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 7.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND


Base Score: 9.8

Temporal Score: 9

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:F/RL:O/RC:X

Vulnerability Information

CPE: cpe:/o:microsoft:windows

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/09/14

Vulnerability Publication Date: 2010/09/14

Exploitable With


Core Impact

Metasploit (MS10-061 Microsoft Print Spooler Service Impersonation Vulnerability)

Reference Information

CVE: CVE-2010-2729

BID: 43073

OSVDB: 67988

IAVA: 2010-A-0124

MSFT: MS10-061

MSKB: 2347290